Skip to content
EN

即梦3 视频生成

方法: POST路径: /jimeng/submit/videos

枚举值 "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
prompt
string
必需
image_url
string
图生视频必带
可选
duration
integer
枚举值 5, 10
必需
aspect_ratio
string
必需
枚举值 "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"
cfg_scale
number
0.5
必需
示例
{
"prompt"
:
"string"
,
"image_url"
:
"string"
,
"duration"
:
0
,
"aspect_ratio"
:
"string"
,
"cfg_scale"
:
0
}

请求示例代码

Shell

bash
curl --location --request POST '/jimeng/submit/videos' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "image_url": "string",
    "duration": 0,
    "aspect_ratio": "string",
    "cfg_scale": 0
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": "success",
    "message": "",
    "data": "4596183399426" // 任务ID
}